//! # Survey response API entry
//!
//! @author Pierre Hubert
use serde::Serialize;

use crate::data::survey_response::SurveyResponse;

#[derive(Serialize)]
#[allow(non_snake_case)]
pub struct SurveyResponseAPI {
    id: u64,
    time_sent: u64,
    userID: u64,
    surveyID: u64,
    choiceID: u64,
}

impl SurveyResponseAPI {
    pub fn new(r: &SurveyResponse) -> SurveyResponseAPI {
        SurveyResponseAPI {
            id: r.id,
            time_sent: r.time_sent,
            userID: r.user_id.id(),
            surveyID: r.survey_id,
            choiceID: r.choice_id,
        }
    }

    pub fn for_list(l: &Vec<SurveyResponse>) -> Vec<Self> {
        l.iter().map(Self::new).collect()
    }
}