//! # Export of all account's data
//!
//! @author Pierre Hubert

use std::collections::HashMap;

use crate::data::comment::Comment;
use crate::data::conversation::Conversation;
use crate::data::conversation_message::ConversationMessage;
use crate::data::movie::Movie;
use crate::data::post::Post;
use crate::data::survey_response::SurveyResponse;
use crate::data::user::User;
use crate::data::user_like::UserLike;

pub struct AccountExport {
    pub user: User,
    pub posts: Vec<Post>,
    pub comments: Vec<Comment>,
    pub likes: Vec<UserLike>,
    pub survey_responses: Vec<SurveyResponse>,
    pub movies: Vec<Movie>,
    pub all_conversation_messages: Vec<ConversationMessage>,
    pub conversations: Vec<Conversation>,
    pub conversation_messages: HashMap<u64, Vec<ConversationMessage>>,
}